Skip to content

Get member

GET/v1/members/{member_id}

Retrieves a member’s profile by ID — identity, demographics, address, contact details, tobacco status, and profile status. Access is scoped to the authenticated principal; a member not visible to the caller returns a 404.

Path ParametersExpand Collapse
member_id: string

Unique member identifier (mbr_*)

ReturnsExpand Collapse
data: { id, age, date_of_birth, 14 more }

A member’s profile: identity, contact details, address, demographics, and onboarding status.

id: string

Unique member identifier with ‘mbr_’ prefix

age: number

Member’s age in years, derived from date of birth

date_of_birth: string

Date of birth (YYYY-MM-DD)

formatdate
first_name: string

Member’s legal first name

last_name: string

Member’s legal last name

name: string

Member’s full legal name

status: "onboarded" or "pending_onboarding"

Member profile status (onboarded or pending onboarding)

One of the following:
"onboarded"
"pending_onboarding"
address: optional { address_line_1, city, state, 2 more }

Member’s residential address

address_line_1: string

Primary street address

city: string

City name

state: "AL" or "AK" or "AZ" or 59 more
  • AL - AL
  • AK - AK
  • AZ - AZ
  • AR - AR
  • CA - CA
  • CO - CO
  • CT - CT
  • DC - DC
  • DE - DE
  • FL - FL
  • GA - GA
  • HI - HI
  • ID - ID
  • IL - IL
  • IN - IN
  • IA - IA
  • KS - KS
  • KY - KY
  • LA - LA
  • ME - ME
  • MD - MD
  • MA - MA
  • MI - MI
  • MN - MN
  • MS - MS
  • MO - MO
  • MT - MT
  • NE - NE
  • NV - NV
  • NH - NH
  • NJ - NJ
  • NM - NM
  • NY - NY
  • NC - NC
  • ND - ND
  • OH - OH
  • OK - OK
  • OR - OR
  • PA - PA
  • RI - RI
  • SC - SC
  • SD - SD
  • TN - TN
  • TX - TX
  • UT - UT
  • VT - VT
  • VA - VA
  • WA - WA
  • WI - WI
  • WV - WV
  • WY - WY
  • PR - PR
  • GU - GU
  • AS - AS
  • VI - VI
  • MP - MP
  • MH - MH
  • PW - PW
  • FM - FM
  • AE - AE
  • AA - AA
  • AP - AP
One of the following:
"AL"
"AK"
"AZ"
"AR"
"CA"
"CO"
"CT"
"DC"
"DE"
"FL"
"GA"
"HI"
"ID"
"IL"
"IN"
"IA"
"KS"
"KY"
"LA"
"ME"
"MD"
"MA"
"MI"
"MN"
"MS"
"MO"
"MT"
"NE"
"NV"
"NH"
"NJ"
"NM"
"NY"
"NC"
"ND"
"OH"
"OK"
"OR"
"PA"
"RI"
"SC"
"SD"
"TN"
"TX"
"UT"
"VT"
"VA"
"WA"
"WI"
"WV"
"WY"
"PR"
"GU"
"AS"
"VI"
"MP"
"MH"
"PW"
"FM"
"AE"
"AA"
"AP"
zipcode: string

ZIP code (5 or 9 digit)

address_line_2: optional string

Secondary street address (apt, suite, etc.)

email: optional string

Email address

formatemail
gender: optional "Male" or "Female" or "Transgender" or 2 more
  • Male - Male
  • Female - Female
  • Transgender - Transgender
  • Non-binary - Non Binary
  • Prefer not to respond - Prefer Not To Respond
One of the following:
"Male"
"Female"
"Transgender"
"Non-binary"
"Prefer not to respond"
marital_status: optional "Single" or "Married"
  • Single - Single
  • Married - Married
One of the following:
"Single"
"Married"
middle_name: optional string

Member’s legal middle name

phone: optional string

Phone number (10-digit US domestic string)

preferred_language: optional "en" or "es" or "zh" or 3 more
  • en - English
  • es - Spanish
  • zh - Chinese
  • ru - Russian
  • sw - Swahili
  • th - Thai
One of the following:
"en"
"es"
"zh"
"ru"
"sw"
"th"
sex_at_birth: optional "Male" or "Female" or "Other" or "Unknown"
  • Male - Male
  • Female - Female
  • Other - Other
  • Unknown - Unknown
One of the following:
"Male"
"Female"
"Other"
"Unknown"
suffix: optional "Sr" or "Jr" or "I" or 4 more
  • Sr - Sr
  • Jr - Jr
  • I - I
  • II - II
  • III - III
  • IV - IV
  • V - V
One of the following:
"Sr"
"Jr"
"I"
"II"
"III"
"IV"
"V"
tobacco_status: optional boolean

Whether the member uses tobacco, if known

Get member

curl https://api.vitablehealth.com/v1/members/$MEMBER_ID \
    -H "Authorization: Bearer $VITABLE_CONNECT_API_KEY"
{
  "data": {
    "id": "mbr_abc123def456",
    "name": "Jane Doe",
    "first_name": "Jane",
    "middle_name": null,
    "last_name": "Doe",
    "suffix": null,
    "email": "jane.doe@example.com",
    "phone": "4155550100",
    "address": {
      "address_line_1": "123 Main Street",
      "address_line_2": "Apt 4B",
      "city": "San Francisco",
      "state": "CA",
      "zipcode": "94102"
    },
    "date_of_birth": "1990-04-12",
    "age": 36,
    "sex_at_birth": "Female",
    "gender": "Female",
    "preferred_language": "en",
    "tobacco_status": false,
    "status": "onboarded"
  }
}
Returns Examples
{
  "data": {
    "id": "mbr_abc123def456",
    "name": "Jane Doe",
    "first_name": "Jane",
    "middle_name": null,
    "last_name": "Doe",
    "suffix": null,
    "email": "jane.doe@example.com",
    "phone": "4155550100",
    "address": {
      "address_line_1": "123 Main Street",
      "address_line_2": "Apt 4B",
      "city": "San Francisco",
      "state": "CA",
      "zipcode": "94102"
    },
    "date_of_birth": "1990-04-12",
    "age": 36,
    "sex_at_birth": "Female",
    "gender": "Female",
    "preferred_language": "en",
    "tobacco_status": false,
    "status": "onboarded"
  }
}